
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

@Entity
@Table(name="EMP",
       uniqueConstraints=@UniqueConstraint(columnNames="NAME"))
public class Employee {
    @Id private int id;
    private String name;


    public int getId() {
        return id;
    }
    
    public void setId(int id) {
        this.id = id;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }

    
    public String toString() {
        return "Employee id: " + getId() + " name: " + getName();
    }
}
